debug build: import problem

Alex Martelli aleaxit at yahoo.com
Tue Sep 14 14:44:51 CEST 2004


benevilent at optusnet.com.au <benevilent at optusnet.com.au> wrote:

> Hey,
> 
> I have made a Python build with the flag --with-pydebug. When I try to
> import modules such as NumPy's multiarray.so, I get errors like the
> following:

Have you built and installed NumPy _with the specific build of Python
you're trying to use it from_?   It doesn't look like you have, and that
might explain the symptoms you observe.

> I presume this means that a debug build of python uses a different
> function for initialising a python module. Is it possible to avoid the
> situation where each module not included within the Python distribuition
> requires explicit support such that it can be used with a debug build of
> Python?

In general, each module which is a Python extension may require you to
build it with the specific version of Python you want to use it with.
There may be specific tricks that work on a given platform to let you
bypass this normal requirement in some cases, I guess.


Alex



More information about the Python-list mailing list